## List Custom CSRs `client.customCsrs.list(CustomCsrListParamsparams?, RequestOptionsoptions?): V4PagePaginationArray` **get** `/{accounts_or_zones}/{account_or_zone_id}/custom_csrs` List all custom Certificate Signing Requests (CSRs) for an account or zone. ### Parameters - `params: CustomCsrListParams` - `account_id?: string` Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID. - `zone_id?: string` Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID. - `page?: number` Query param: Page number of paginated results. - `per_page?: number` Query param: Number of custom CSRs per page. ### Returns - `CustomCsrListResponse` A custom Certificate Signing Request (CSR). - `id: string` Custom CSR identifier tag. - `created_at: string` When the CSR was created. - `key_type: "rsa2048" | "p256v1"` The key algorithm used to generate the CSR. - `"rsa2048"` - `"p256v1"` - `account_tag?: string` Account identifier associated with this CSR. - `common_name?: string` The common name (domain) for the CSR. - `country?: string` Two-letter ISO 3166-1 alpha-2 country code. - `csr?: string` The PEM-encoded Certificate Signing Request. - `description?: string` Optional description for the CSR. - `locality?: string` City or locality name. - `name?: string` Human-readable name for the CSR. - `organization?: string` Organization name. - `organizational_unit?: string` Organizational unit name. - `sans?: Array` Subject Alternative Names included in the CSR. - `state?: string` State or province name. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const customCsrListResponse of client.customCsrs.list({ account_id: 'account_id' })) { console.log(customCsrListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "7b163417-1d2b-4c84-a38a-2fb7a0cd7752", "created_at": "2024-01-15T10:30:00Z", "key_type": "rsa2048", "account_tag": "23e087bd19bc1d40ae95b6f297263ceb", "common_name": "example.com", "country": "US", "csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIICYzCCAUsCAQAwHj...", "description": "CSR for example.com wildcard", "locality": "San Francisco", "name": "My Custom CSR", "organization": "Cloudflare, Inc.", "organizational_unit": "Engineering", "sans": [ "example.com", "www.example.com" ], "state": "California" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```